Bug 1026767 - [Build 20170222] openQA test fails in zdup of openSUSE 13.2 on "nothing provides python-sip(api)"
[Build 20170222] openQA test fails in zdup of openSUSE 13.2 on "nothing provi...
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Wolfgang Bauer
E-mail List
http://openqa.opensuse.org/tests/3606...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-24 08:25 UTC by Oliver Kurz
Modified: 2017-03-06 12:08 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Kurz 2017-02-24 08:25:45 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-NET-x86_64-zdup-13.2@64bit fails in
[zdup](http://openqa.opensuse.org/tests/360631/modules/zdup/steps/14)

```
# (zypper dup -l_echo ZYPPER-DONE) l tee /de_/ttyS0
Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible b
efore you continue. See 'man zyppe_ for more information about this command.
Loading repository data...
Reading installed packages...
Computing distribution upgrade...
7 Problems:
Problem: nothing provides python-sip(api) = 12.0 needed by python-kde4-4.14.3-6.1.i586
Problem: nothing provides python-sip(api) = 12.0 needed by python-kde4-4.14.3-6.1.i586
Problem: nothing provides python-sip(api) = 12.0 needed by python-kde4-4.14.3-6.1.x86_64
Problem: nothing provides python-sip(api) = 12.0 needed by python-kde4-4.14.3-6.1.x86_64
```


## Reproducible

Fails since (at least) Build [20170221](http://openqa.opensuse.org/tests/359892)


## Expected result

Last good: [20170220](http://openqa.opensuse.org/tests/359238) (or more recent)


## Further details

Always latest result in this scenario: [latest](http://openqa.opensuse.org/tests/latest?distri=opensuse&machine=64bit&flavor=NET&test=zdup-13.2&version=Tumbleweed&arch=x86_64)
Comment 1 Wolfgang Bauer 2017-02-24 09:53:53 UTC
The problem is that python-kde4 fails to build (again) in Factory/Tumbleweed since the latest python-sip update... :-(
Comment 2 Bernhard Wiedemann 2017-03-01 15:00:24 UTC
This is an autogenerated message for OBS integration:
This bug (1026767) was mentioned in
https://build.opensuse.org/request/show/461356 Factory / python-kde4
Comment 3 Wolfgang Bauer 2017-03-05 18:14:32 UTC
Fixed meanwhile:
https://openqa.opensuse.org/tests/364882#step/zdup/14
Comment 4 Oliver Kurz 2017-03-06 12:08:42 UTC
thx for checking openQA results